com.explodingpixels.widgets.plaf

## Class EPComboPopup

- java.lang.Object
- - com.explodingpixels.widgets.plaf.EPComboPopup

All Implemented Interfaces:
  ComboPopup

    public class EPComboPopup
    extends Object
    implements ComboPopup

An implementation of `ComboPopup` that uses actual `JMenuItem`s rather than a `JList` to display it's contents.

### Nested Class Summary

Nested Classes
`static interface` `EPComboPopup.ComboBoxVerticalCenterProvider`

### Constructor Summary

Constructors
Constructor and Description
`EPComboPopup(JComboBox comboBox)`

### Method Summary

Methods
`KeyListener` `getKeyListener()`
`JList` `getList()` This method is not implemented and would throw an `UnsupportedOperationException` if `BasicComboBoxUI` didn't call it.
`MouseListener` `getMouseListener()`
`MouseMotionListener` `getMouseMotionListener()`
`void` `hide()`
`boolean` `isVisible()`
`void` `setFont(Font font)`
`void` `setVerticalComponentCenterProvider(EPComboPopup.ComboBoxVerticalCenterProvider comboBoxVerticalCenterProvider)`
`void` `show()`
`void` `uninstallingUI()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EPComboPopup

    public EPComboPopup(JComboBox comboBox)

### Method Detail

#### setFont

    public void setFont(Font font)

#### setVerticalComponentCenterProvider

    public void setVerticalComponentCenterProvider(EPComboPopup.ComboBoxVerticalCenterProvider comboBoxVerticalCenterProvider)

#### show

    public void show()

Specified by:
  `show` in interface `ComboPopup`

#### hide

    public void hide()

Specified by:
  `hide` in interface `ComboPopup`

#### isVisible

    public boolean isVisible()

Specified by:
  `isVisible` in interface `ComboPopup`

#### getList

    public JList getList()

This method is not implemented and would throw an `UnsupportedOperationException` if `BasicComboBoxUI` didn't call it. Thus, this method should not be used, as it always returns null.

Specified by:
  `getList` in interface `ComboPopup`
Returns:
  null.

#### getMouseListener

    public MouseListener getMouseListener()

Specified by:
  `getMouseListener` in interface `ComboPopup`

#### getMouseMotionListener

    public MouseMotionListener getMouseMotionListener()

Specified by:
  `getMouseMotionListener` in interface `ComboPopup`

#### getKeyListener

    public KeyListener getKeyListener()

Specified by:
  `getKeyListener` in interface `ComboPopup`

#### uninstallingUI

    public void uninstallingUI()

Specified by:
  `uninstallingUI` in interface `ComboPopup`